List changes to an Entity
curl --request GET \
--url https://app.leadconduit.com/entities/{id}/changelogs \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/entities/{id}/changelogs"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/entities/{id}/changelogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "5fd438f91f0d12766e2bfee5",
"action": "create",
"changes": [
{
"action": "create",
"target": "<string>",
"delta_path": "<string>",
"previous": {
"value": "<string>",
"index": 123
},
"current": {
"value": "<string>",
"index": 123
}
}
],
"current_revision": {},
"delta_from_last_revision": {},
"type": "flow",
"created_at": "2020-11-23T11:41:52Z",
"user": {
"id": "5fd4371e940df5a34a3888b2",
"api_key": "2f1d5f29915b866c7a2fa5de29613104",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
}
]Entities
List changes to an Entity
List all the changes made to an entity
GET
/
entities
/
{id}
/
changelogs
List changes to an Entity
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
ID of the entity 24 character alpha-numeric BSON identifier
Pattern:
^[0-9a-fA-F]{24}$Example:
"5fd4371e940df5a34a3888b2"
Response
200 - application/json
OK
ID of this Change Log
Pattern:
^[0-9a-fA-F]{24}$Example:
"5fd438f91f0d12766e2bfee5"
Action performed
Available options:
create, update, delete, changed, moved, removed, added An object representing the normalization of the delta object
Show child attributes
Show child attributes
An object representing the difference between the previous revision and the latest revision of the model
The type of resource that was changed.
Available options:
flow, entity, field, report Read-only time the Change Log was created
Example:
"2020-11-23T11:41:52Z"
User information. This will only be present if the user was signed in when the changes were made
Show child attributes
Show child attributes